# ATSC variants of MPEG-TS sections

The list of section types defined and used by the ATSC specifications can be seen in GstMpegtsSectionATSCTableID.

# Supported ATSC MPEG-TS sections

These are the sections for which parsing and packetizing code exists.

## Master Guide Table (MGT)

See:

- gst_mpegts_section_get_atsc_mgt
- GstMpegtsAtscMGT
- GstMpegtsAtscMGTTable
- gst_mpegts_atsc_mgt_new

## Terrestrial (TVCT) and Cable (CVCT) Virtual Channel Table

See:

- gst_mpegts_section_get_atsc_tvct
- gst_mpegts_section_get_atsc_cvct
- GstMpegtsAtscVCT
- GstMpegtsAtscVCTSource

## Rating Region Table (RRT)

See:

- gst_mpegts_section_get_atsc_rrt
- GstMpegtsAtscRRT
- gst_mpegts_atsc_rrt_new

## Event Information Table (EIT)

See:

- gst_mpegts_section_get_atsc_eit
- GstMpegtsAtscEIT
- GstMpegtsAtscEITEvent

## Extended Text Table (ETT)

See:

- gst_mpegts_section_get_atsc_ett
- GstMpegtsAtscETT

## System Time Table (STT)

See:

- gst_mpegts_section_get_atsc_stt
- GstMpegtsAtscSTT
- gst_mpegts_atsc_stt_new

# API

## GstMpegtsAtscEIT

Event Information Table (ATSC)

### Members

`source_id` (guint16) –

The source id

`protocol_version` (guint8) –

The protocol version

`events` (GPtrArray *) –

Events

## GstMpegts.AtscEIT

Event Information Table (ATSC)

### Members

`source_id` (Number) –

The source id

`protocol_version` (Number) –

The protocol version

`events` ([ GstMpegts.AtscEITEvent ]) –

Events

## GstMpegts.AtscEIT

Event Information Table (ATSC)

### Members

`source_id` (int) –

The source id

`protocol_version` (int) –

The protocol version

`events` ([ GstMpegts.AtscEITEvent ]) –

Events

## GstMpegtsAtscEITEvent

An ATSC EIT Event

### Members

`event_id` (guint16) –

The event id

`start_time` (guint32) –

The start time

`etm_location` (guint8) –

The etm location

`length_in_seconds` (guint32) –

The length in seconds

`titles` (GPtrArray *) –

the titles

`descriptors` (GPtrArray *) –

descriptors

## GstMpegts.AtscEITEvent

An ATSC EIT Event

### Members

`event_id` (Number) –

The event id

`start_time` (Number) –

The start time

`etm_location` (Number) –

The etm location

`length_in_seconds` (Number) –

The length in seconds

`titles` ([ GstMpegts.AtscMultString ]) –

the titles

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

## GstMpegts.AtscEITEvent

An ATSC EIT Event

### Members

`event_id` (int) –

The event id

`start_time` (int) –

The start time

`etm_location` (int) –

The etm location

`length_in_seconds` (int) –

The length in seconds

`titles` ([ GstMpegts.AtscMultString ]) –

the titles

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

## GstMpegtsAtscETT

Extended Text Table (ATSC)

### Members

`ett_table_id_extension` (guint16) –
No description available
`protocol_version` (guint16) –

The protocol version

`etm_id` (guint32) –

The etm id

`messages` (GPtrArray *) –

List of texts

## GstMpegts.AtscETT

Extended Text Table (ATSC)

### Members

`ett_table_id_extension` (Number) –
No description available
`protocol_version` (Number) –

The protocol version

`etm_id` (Number) –

The etm id

`messages` ([ GstMpegts.AtscMultString ]) –

List of texts

## GstMpegts.AtscETT

Extended Text Table (ATSC)

### Members

`ett_table_id_extension` (int) –
No description available
`protocol_version` (int) –

The protocol version

`etm_id` (int) –

The etm id

`messages` ([ GstMpegts.AtscMultString ]) –

List of texts

## GstMpegtsAtscMGT

Master Guide Table (A65)

### Members

`protocol_version` (guint8) –

The protocol version

`tables_defined` (guint16) –

The numbers of subtables

`tables` (GPtrArray *) –

the tables

`descriptors` (GPtrArray *) –

descriptors

## GstMpegts.AtscMGT

Master Guide Table (A65)

### Members

`protocol_version` (Number) –

The protocol version

`tables_defined` (Number) –

The numbers of subtables

`tables` ([ GstMpegts.AtscMGTTable ]) –

the tables

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

## GstMpegts.AtscMGT

Master Guide Table (A65)

### Members

`protocol_version` (int) –

The protocol version

`tables_defined` (int) –

The numbers of subtables

`tables` ([ GstMpegts.AtscMGTTable ]) –

the tables

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

### Constructors

#### gst_mpegts_atsc_mgt_new

    GstMpegtsAtscMGT *
    gst_mpegts_atsc_mgt_new ()

Returns –
No description available

#### GstMpegts.AtscMGT.prototype.new

    function GstMpegts.AtscMGT.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_atsc_mgt_new'
    }

Returns (GstMpegts.AtscMGT) –
No description available

#### GstMpegts.AtscMGT.new

    def GstMpegts.AtscMGT.new ():
        #python wrapper for 'gst_mpegts_atsc_mgt_new'

Returns (GstMpegts.AtscMGT) –
No description available

## GstMpegtsAtscMGTTable

Source from a GstMpegtsAtscMGT

### Members

`table_type` (guint16) –

GstMpegtsAtscMGTTableType

`pid` (guint16) –

The packet ID

`version_number` (guint8) –

The version number

`number_bytes` (guint32) –
No description available
`descriptors` (GPtrArray *) –

descriptors

## GstMpegts.AtscMGTTable

Source from a GstMpegtsAtscMGT

### Members

`table_type` (Number) –

GstMpegts.AtscMGTTableType

`pid` (Number) –

The packet ID

`version_number` (Number) –

The version number

`number_bytes` (Number) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

## GstMpegts.AtscMGTTable

Source from a GstMpegtsAtscMGT

### Members

`table_type` (int) –

GstMpegts.AtscMGTTableType

`pid` (int) –

The packet ID

`version_number` (int) –

The version number

`number_bytes` (int) –
No description available
`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

## GstMpegtsAtscMultString

### Members

`iso_639_langcode` (gchar *) –

The ISO639 language code

`segments` (GPtrArray *) –

(element-type GstMpegtsAtscStringSegment)

## GstMpegts.AtscMultString

### Members

`iso_639_langcode` ([ String ]) –

The ISO639 language code

`segments` ([ GstMpegts.AtscStringSegment ]) –

(element-type GstMpegtsAtscStringSegment)

## GstMpegts.AtscMultString

### Members

`iso_639_langcode` ([ int ]) –

The ISO639 language code

`segments` ([ GstMpegts.AtscStringSegment ]) –

(element-type GstMpegtsAtscStringSegment)

## GstMpegtsAtscRRT

Region Rating Table (A65)

### Members

`protocol_version` (guint8) –

The protocol version

`names` (GPtrArray *) –

the names

`dimensions_defined` (guint8) –

the number of dimensions defined for this rating table

`dimensions` (GPtrArray *) –

A set of dimensions

`descriptors` (GPtrArray *) –

descriptors

Since : 1.18

## GstMpegts.AtscRRT

Region Rating Table (A65)

### Members

`protocol_version` (Number) –

The protocol version

`names` ([ GstMpegts.AtscMultString ]) –

the names

`dimensions_defined` (Number) –

the number of dimensions defined for this rating table

`dimensions` ([ GstMpegts.AtscRRTDimension ]) –

A set of dimensions

`descriptors` ([ Object ]) –

descriptors

Since : 1.18

## GstMpegts.AtscRRT

Region Rating Table (A65)

### Members

`protocol_version` (int) –

The protocol version

`names` ([ GstMpegts.AtscMultString ]) –

the names

`dimensions_defined` (int) –

the number of dimensions defined for this rating table

`dimensions` ([ GstMpegts.AtscRRTDimension ]) –

A set of dimensions

`descriptors` ([ object ]) –

descriptors

Since : 1.18

### Constructors

#### gst_mpegts_atsc_rrt_new

    GstMpegtsAtscRRT *
    gst_mpegts_atsc_rrt_new ()

Returns –
No description available

#### GstMpegts.AtscRRT.prototype.new

    function GstMpegts.AtscRRT.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_atsc_rrt_new'
    }

Returns (GstMpegts.AtscRRT) –
No description available

#### GstMpegts.AtscRRT.new

    def GstMpegts.AtscRRT.new ():
        #python wrapper for 'gst_mpegts_atsc_rrt_new'

Returns (GstMpegts.AtscRRT) –
No description available

## GstMpegtsAtscRRTDimension

### Members

`names` (GPtrArray *) –

the names

`graduated_scale` (gboolean) –

whether the ratings represent a graduated scale

`values_defined` (guint8) –

the number of values defined for this dimension

`values` (GPtrArray *) –

set of values

Since : 1.18

## GstMpegts.AtscRRTDimension

### Members

`names` ([ GstMpegts.AtscMultString ]) –

the names

`graduated_scale` (Number) –

whether the ratings represent a graduated scale

`values_defined` (Number) –

the number of values defined for this dimension

`values` ([ GstMpegts.AtscRRTDimensionValue ]) –

set of values

Since : 1.18

## GstMpegts.AtscRRTDimension

### Members

`names` ([ GstMpegts.AtscMultString ]) –

the names

`graduated_scale` (bool) –

whether the ratings represent a graduated scale

`values_defined` (int) –

the number of values defined for this dimension

`values` ([ GstMpegts.AtscRRTDimensionValue ]) –

set of values

Since : 1.18

### Constructors

#### gst_mpegts_atsc_rrt_dimension_new

    GstMpegtsAtscRRTDimension *
    gst_mpegts_atsc_rrt_dimension_new ()

Returns –
No description available

#### GstMpegts.AtscRRTDimension.prototype.new

    function GstMpegts.AtscRRTDimension.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_atsc_rrt_dimension_new'
    }

Returns (GstMpegts.AtscRRTDimension) –
No description available

#### GstMpegts.AtscRRTDimension.new

    def GstMpegts.AtscRRTDimension.new ():
        #python wrapper for 'gst_mpegts_atsc_rrt_dimension_new'

Returns (GstMpegts.AtscRRTDimension) –
No description available

## GstMpegtsAtscRRTDimensionValue

### Members

`abbrev_ratings` (GPtrArray *) –

the abbreviated ratings

`ratings` (GPtrArray *) –

the ratings

Since : 1.18

## GstMpegts.AtscRRTDimensionValue

### Members

`abbrev_ratings` ([ GstMpegts.AtscMultString ]) –

the abbreviated ratings

`ratings` ([ GstMpegts.AtscMultString ]) –

the ratings

Since : 1.18

## GstMpegts.AtscRRTDimensionValue

### Members

`abbrev_ratings` ([ GstMpegts.AtscMultString ]) –

the abbreviated ratings

`ratings` ([ GstMpegts.AtscMultString ]) –

the ratings

Since : 1.18

### Constructors

#### gst_mpegts_atsc_rrt_dimension_value_new

    GstMpegtsAtscRRTDimensionValue *
    gst_mpegts_atsc_rrt_dimension_value_new ()

Returns –
No description available

#### GstMpegts.AtscRRTDimensionValue.prototype.new

    function GstMpegts.AtscRRTDimensionValue.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_atsc_rrt_dimension_value_new'
    }

Returns (GstMpegts.AtscRRTDimensionValue) –
No description available

#### GstMpegts.AtscRRTDimensionValue.new

    def GstMpegts.AtscRRTDimensionValue.new ():
        #python wrapper for 'gst_mpegts_atsc_rrt_dimension_value_new'

Returns (GstMpegts.AtscRRTDimensionValue) –
No description available

## GstMpegtsAtscSTT

System Time Table (A65)

### Members

`protocol_version` (guint8) –

The protocol version

`system_time` (guint32) –

The system time

`gps_utc_offset` (guint8) –

The GPS to UTC offset

`ds_status` (gboolean) –
No description available
`ds_dayofmonth` (guint8) –

The day of month

`ds_hour` (guint8) –

The hour

`descriptors` (GPtrArray *) –

descriptors

`utc_datetime` (GstDateTime *) –

The UTC date and time

## GstMpegts.AtscSTT

System Time Table (A65)

### Members

`protocol_version` (Number) –

The protocol version

`system_time` (Number) –

The system time

`gps_utc_offset` (Number) –

The GPS to UTC offset

`ds_status` (Number) –
No description available
`ds_dayofmonth` (Number) –

The day of month

`ds_hour` (Number) –

The hour

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

`utc_datetime` (Gst.DateTime) –

The UTC date and time

## GstMpegts.AtscSTT

System Time Table (A65)

### Members

`protocol_version` (int) –

The protocol version

`system_time` (int) –

The system time

`gps_utc_offset` (int) –

The GPS to UTC offset

`ds_status` (bool) –
No description available
`ds_dayofmonth` (int) –

The day of month

`ds_hour` (int) –

The hour

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

`utc_datetime` (Gst.DateTime) –

The UTC date and time

### Constructors

#### gst_mpegts_atsc_stt_new

    GstMpegtsAtscSTT *
    gst_mpegts_atsc_stt_new ()

Returns –
No description available

#### GstMpegts.AtscSTT.prototype.new

    function GstMpegts.AtscSTT.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_atsc_stt_new'
    }

Returns (GstMpegts.AtscSTT) –
No description available

#### GstMpegts.AtscSTT.new

    def GstMpegts.AtscSTT.new ():
        #python wrapper for 'gst_mpegts_atsc_stt_new'

Returns (GstMpegts.AtscSTT) –
No description available

### Methods

#### gst_mpegts_atsc_stt_get_datetime_utc

    GstDateTime *
    gst_mpegts_atsc_stt_get_datetime_utc (GstMpegtsAtscSTT * stt)

Parameters:

`stt` –
No description available
Returns –
No description available

#### GstMpegts.AtscSTT.prototype.get_datetime_utc

    function GstMpegts.AtscSTT.prototype.get_datetime_utc(): {
        // javascript wrapper for 'gst_mpegts_atsc_stt_get_datetime_utc'
    }

Parameters:

`stt` (GstMpegts.AtscSTT) –
No description available
Returns (Gst.DateTime) –
No description available

#### GstMpegts.AtscSTT.get_datetime_utc

    def GstMpegts.AtscSTT.get_datetime_utc (self):
        #python wrapper for 'gst_mpegts_atsc_stt_get_datetime_utc'

Parameters:

`stt` (GstMpegts.AtscSTT) –
No description available
Returns (Gst.DateTime) –
No description available

## GstMpegtsAtscStringSegment

A string segment

### Members

`compression_type` (guint8) –

The compression type

`mode` (guint8) –

The mode

`compressed_data_size` (guint8) –

The size of compressed data

`compressed_data` (guint8 *) –

The compressed data

`cached_string` (gchar *) –
No description available

## GstMpegts.AtscStringSegment

A string segment

### Members

`compression_type` (Number) –

The compression type

`mode` (Number) –

The mode

`compressed_data_size` (Number) –

The size of compressed data

`compressed_data` (Number) –

The compressed data

`cached_string` (String) –
No description available

## GstMpegts.AtscStringSegment

A string segment

### Members

`compression_type` (int) –

The compression type

`mode` (int) –

The mode

`compressed_data_size` (int) –

The size of compressed data

`compressed_data` (int) –

The compressed data

`cached_string` (str) –
No description available

### Methods

#### gst_mpegts_atsc_string_segment_get_string

    const gchar *
    gst_mpegts_atsc_string_segment_get_string (GstMpegtsAtscStringSegment * seg)

Parameters:

`seg` –
No description available
Returns –
No description available

#### GstMpegts.AtscStringSegment.prototype.get_string

    function GstMpegts.AtscStringSegment.prototype.get_string(): {
        // javascript wrapper for 'gst_mpegts_atsc_string_segment_get_string'
    }

Parameters:

`seg` (GstMpegts.AtscStringSegment) –
No description available
Returns (String) –
No description available

#### GstMpegts.AtscStringSegment.get_string

    def GstMpegts.AtscStringSegment.get_string (self):
        #python wrapper for 'gst_mpegts_atsc_string_segment_get_string'

Parameters:

`seg` (GstMpegts.AtscStringSegment) –
No description available
Returns (str) –
No description available

#### gst_mpegts_atsc_string_segment_set_string

    gboolean
    gst_mpegts_atsc_string_segment_set_string (GstMpegtsAtscStringSegment * seg,
                                               gchar * string,
                                               guint8 compression_type,
                                               guint8 mode)

Parameters:

`seg` –
No description available
`string` –
No description available
`compression_type` –
No description available
`mode` –
No description available
Returns –
No description available

#### GstMpegts.AtscStringSegment.prototype.set_string

    function GstMpegts.AtscStringSegment.prototype.set_string(string: String, compression_type: Number, mode: Number): {
        // javascript wrapper for 'gst_mpegts_atsc_string_segment_set_string'
    }

Parameters:

`seg` (GstMpegts.AtscStringSegment) –
No description available
`string` (String) –
No description available
`compression_type` (Number) –
No description available
`mode` (Number) –
No description available
Returns (Number) –
No description available

#### GstMpegts.AtscStringSegment.set_string

    def GstMpegts.AtscStringSegment.set_string (self, string, compression_type, mode):
        #python wrapper for 'gst_mpegts_atsc_string_segment_set_string'

Parameters:

`seg` (GstMpegts.AtscStringSegment) –
No description available
`string` (str) –
No description available
`compression_type` (int) –
No description available
`mode` (int) –
No description available
Returns (bool) –
No description available

## GstMpegtsAtscVCT

Represents both: Terrestrial Virtual Channel Table (A65) Cable Virtual Channel Table (A65)

### Members

`transport_stream_id` (guint16) –

The transport stream

`protocol_version` (guint8) –

The protocol version

`sources` (GPtrArray *) –

sources

`descriptors` (GPtrArray *) –

descriptors

## GstMpegts.AtscVCT

Represents both: Terrestrial Virtual Channel Table (A65) Cable Virtual Channel Table (A65)

### Members

`transport_stream_id` (Number) –

The transport stream

`protocol_version` (Number) –

The protocol version

`sources` ([ GstMpegts.AtscVCTSource ]) –

sources

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

## GstMpegts.AtscVCT

Represents both: Terrestrial Virtual Channel Table (A65) Cable Virtual Channel Table (A65)

### Members

`transport_stream_id` (int) –

The transport stream

`protocol_version` (int) –

The protocol version

`sources` ([ GstMpegts.AtscVCTSource ]) –

sources

`descriptors` ([ GstMpegts.Descriptor ]) –

descriptors

## GstMpegtsAtscVCTSource

Source from a GstMpegtsAtscVCT, can be used both for TVCT and CVCT tables

### Members

`short_name` (gchar *) –

The short name of a source

`major_channel_number` (guint16) –

The major channel number

`minor_channel_number` (guint16) –

The minor channel number

`modulation_mode` (guint8) –

The modulation mode

`carrier_frequency` (guint32) –

The carrier frequency

`channel_TSID` (guint16) –

The transport stream ID

`program_number` (guint16) –

The program number (see GstMpegtsPatProgram)

`ETM_location` (guint8) –

The ETM location

`access_controlled` (gboolean) –

is access controlled

`hidden` (gboolean) –

is hidden

`path_select` (gboolean) –

is path select, CVCT only

`out_of_band` (gboolean) –

is out of band, CVCT only

`hide_guide` (gboolean) –

is hide guide

`service_type` (guint8) –

The service type

`source_id` (guint16) –

The source id

`descriptors` (GPtrArray *) –

an array of GstMpegtsDescriptor

## GstMpegts.AtscVCTSource

Source from a GstMpegts.AtscVCT, can be used both for TVCT and CVCT tables

### Members

`short_name` (String) –

The short name of a source

`major_channel_number` (Number) –

The major channel number

`minor_channel_number` (Number) –

The minor channel number

`modulation_mode` (Number) –

The modulation mode

`carrier_frequency` (Number) –

The carrier frequency

`channel_TSID` (Number) –

The transport stream ID

`program_number` (Number) –

The program number (see GstMpegts.PatProgram)

`ETM_location` (Number) –

The ETM location

`access_controlled` (Number) –

is access controlled

`hidden` (Number) –

is hidden

`path_select` (Number) –

is path select, CVCT only

`out_of_band` (Number) –

is out of band, CVCT only

`hide_guide` (Number) –

is hide guide

`service_type` (Number) –

The service type

`source_id` (Number) –

The source id

`descriptors` ([ GstMpegts.Descriptor ]) –

an array of GstMpegts.Descriptor

## GstMpegts.AtscVCTSource

Source from a GstMpegts.AtscVCT, can be used both for TVCT and CVCT tables

### Members

`short_name` (str) –

The short name of a source

`major_channel_number` (int) –

The major channel number

`minor_channel_number` (int) –

The minor channel number

`modulation_mode` (int) –

The modulation mode

`carrier_frequency` (int) –

The carrier frequency

`channel_TSID` (int) –

The transport stream ID

`program_number` (int) –

The program number (see GstMpegts.PatProgram)

`ETM_location` (int) –

The ETM location

`access_controlled` (bool) –

is access controlled

`hidden` (bool) –

is hidden

`path_select` (bool) –

is path select, CVCT only

`out_of_band` (bool) –

is out of band, CVCT only

`hide_guide` (bool) –

is hide guide

`service_type` (int) –

The service type

`source_id` (int) –

The source id

`descriptors` ([ GstMpegts.Descriptor ]) –

an array of GstMpegts.Descriptor

## Enumerations

### GstMpegtsATSCStreamType

Type of mpeg-ts streams for ATSC, as defined by the ATSC Code Points Registry. For convenience, some stream types from GstMpegtsScteStreamType are also included.

##### Members

`GST_MPEGTS_STREAM_TYPE_ATSC_DCII_VIDEO` (128) –

DigiCipher II video | Identical to ITU-T Rec. H.262 | ISO/IEC 13818-2 Video

`GST_MPEGTS_STREAM_TYPE_ATSC_AUDIO_AC3` (129) –

ATSC A/53 Audio | AC-3

`GST_MPEGTS_STREAM_TYPE_ATSC_SUBTITLING` (130) –

SCTE-27 Subtitling

`GST_MPEGTS_STREAM_TYPE_ATSC_ISOCH_DATA` (131) –

SCTE-19 Isochronous data | Reserved

`GST_MPEGTS_STREAM_TYPE_ATSC_SIT` (134) –

SCTE-35 Splice Information Table

`GST_MPEGTS_STREAM_TYPE_ATSC_AUDIO_EAC3` (135) –

E-AC-3 A/52:2018

`GST_MPEGTS_STREAM_TYPE_ATSC_AUDIO_DTS_HD` (136) –

E-AC-3 A/107 (ATSC 2.0)

Since : 1.20

### GstMpegts.ATSCStreamType

Type of mpeg-ts streams for ATSC, as defined by the ATSC Code Points Registry. For convenience, some stream types from GstMpegts.ScteStreamType are also included.

##### Members

`GstMpegts.ATSCStreamType.DCII_VIDEO` (128) –

DigiCipher II video | Identical to ITU-T Rec. H.262 | ISO/IEC 13818-2 Video

`GstMpegts.ATSCStreamType.AUDIO_AC3` (129) –

ATSC A/53 Audio | AC-3

`GstMpegts.ATSCStreamType.SUBTITLING` (130) –

SCTE-27 Subtitling

`GstMpegts.ATSCStreamType.ISOCH_DATA` (131) –

SCTE-19 Isochronous data | Reserved

`GstMpegts.ATSCStreamType.SIT` (134) –

SCTE-35 Splice Information Table

`GstMpegts.ATSCStreamType.AUDIO_EAC3` (135) –

E-AC-3 A/52:2018

`GstMpegts.ATSCStreamType.AUDIO_DTS_HD` (136) –

E-AC-3 A/107 (ATSC 2.0)

Since : 1.20

### GstMpegts.ATSCStreamType

Type of mpeg-ts streams for ATSC, as defined by the ATSC Code Points Registry. For convenience, some stream types from GstMpegts.ScteStreamType are also included.

##### Members

`GstMpegts.ATSCStreamType.DCII_VIDEO` (128) –

DigiCipher II video | Identical to ITU-T Rec. H.262 | ISO/IEC 13818-2 Video

`GstMpegts.ATSCStreamType.AUDIO_AC3` (129) –

ATSC A/53 Audio | AC-3

`GstMpegts.ATSCStreamType.SUBTITLING` (130) –

SCTE-27 Subtitling

`GstMpegts.ATSCStreamType.ISOCH_DATA` (131) –

SCTE-19 Isochronous data | Reserved

`GstMpegts.ATSCStreamType.SIT` (134) –

SCTE-35 Splice Information Table

`GstMpegts.ATSCStreamType.AUDIO_EAC3` (135) –

E-AC-3 A/52:2018

`GstMpegts.ATSCStreamType.AUDIO_DTS_HD` (136) –

E-AC-3 A/107 (ATSC 2.0)

Since : 1.20

### GstMpegtsAtscMGTTableType

##### Members

`GST_MPEGTS_ATSC_MGT_TABLE_TYPE_EIT0` (256) –
No description available
`GST_MPEGTS_ATSC_MGT_TABLE_TYPE_EIT127` (383) –
No description available
`GST_MPEGTS_ATSC_MGT_TABLE_TYPE_ETT0` (512) –
No description available
`GST_MPEGTS_ATSC_MGT_TABLE_TYPE_ETT127` (639) –
No description available

### GstMpegts.AtscMGTTableType

##### Members

`GstMpegts.AtscMGTTableType.EIT0` (256) –
No description available
`GstMpegts.AtscMGTTableType.EIT127` (383) –
No description available
`GstMpegts.AtscMGTTableType.ETT0` (512) –
No description available
`GstMpegts.AtscMGTTableType.ETT127` (639) –
No description available

### GstMpegts.AtscMGTTableType

##### Members

`GstMpegts.AtscMGTTableType.EIT0` (256) –
No description available
`GstMpegts.AtscMGTTableType.EIT127` (383) –
No description available
`GstMpegts.AtscMGTTableType.ETT0` (512) –
No description available
`GstMpegts.AtscMGTTableType.ETT127` (639) –
No description available

### GstMpegtsSectionATSCTableID

Values for a GstMpegtsSection table_id.

These are the registered ATSC section `table_id` variants. Unless specified otherwise, they are defined in the "ATSC A/65" specification.

see also: GstMpegtsSectionTableID and other variants.

##### Members

`GST_MTS_TABLE_ID_ATSC_MASTER_GUIDE` (199) –

Master Guide Table (MGT)

`GST_MTS_TABLE_ID_ATSC_TERRESTRIAL_VIRTUAL_CHANNEL` (200) –

Terrestrial Virtual Channel Table (TVCT)

`GST_MTS_TABLE_ID_ATSC_CABLE_VIRTUAL_CHANNEL` (201) –

Cable Virtual Channel Table (CVCT)

`GST_MTS_TABLE_ID_ATSC_RATING_REGION` (202) –

Rating Region Table (RRT)

`GST_MTS_TABLE_ID_ATSC_EVENT_INFORMATION` (203) –

Event Information Table (EIT)

`GST_MTS_TABLE_ID_ATSC_CHANNEL_OR_EVENT_EXTENDED_TEXT` (204) –

Extended Text Table (ETT)

`GST_MTS_TABLE_ID_ATSC_SYSTEM_TIME` (205) –

System Time Table (STT)

`GST_MTS_TABLE_ID_ATSC_DATA_EVENT` (206) –

A/90: Data Event Table (DET)

`GST_MTS_TABLE_ID_ATSC_DATA_SERVICE` (207) –

A/90: Data Service Table (DST)

`GST_MTS_TABLE_ID_ATSC_PROGRAM_IDENTIFIER` (208) –

A/57B: Program Identifier Table.

(Since: 1.20)
`GST_MTS_TABLE_ID_ATSC_NETWORK_RESOURCE` (209) –

A/90: Network Resources Table (NRT)

`GST_MTS_TABLE_ID_ATSC_LONG_TERM_SERVICE` (210) –

A/90: Long Term Service Table (LTST)

`GST_MTS_TABLE_ID_ATSC_DIRECTED_CHANNEL_CHANGE` (211) –

Directed Channel Change Table (DCCT)

`GST_MTS_TABLE_ID_ATSC_DIRECTED_CHANNEL_CHANGE_SECTION_CODE` (212) –

Directed Channel Change Selection Code Table (DCCSCT)

`GST_MTS_TABLE_ID_ATSC_AGGREGATE_EVENT_INFORMATION` (214) –
No description available
`GST_MTS_TABLE_ID_ATSC_AGGREGATE_EXTENDED_TEXT` (215) –
No description available
`GST_MTS_TABLE_ID_ATSC_AGGREGATE_DATA_EVENT` (217) –
No description available
`GST_MTS_TABLE_ID_ATSC_SATELLITE_VIRTUAL_CHANNEL` (218) –

A/81: Satellite Virtual Channel Table

### GstMpegts.SectionATSCTableID

Values for a GstMpegts.Section table_id.

These are the registered ATSC section `table_id` variants. Unless specified otherwise, they are defined in the "ATSC A/65" specification.

see also: GstMpegts.SectionTableID and other variants.

##### Members

`GstMpegts.SectionATSCTableID.MASTER_GUIDE` (199) –

Master Guide Table (MGT)

`GstMpegts.SectionATSCTableID.TERRESTRIAL_VIRTUAL_CHANNEL` (200) –

Terrestrial Virtual Channel Table (TVCT)

`GstMpegts.SectionATSCTableID.CABLE_VIRTUAL_CHANNEL` (201) –

Cable Virtual Channel Table (CVCT)

`GstMpegts.SectionATSCTableID.RATING_REGION` (202) –

Rating Region Table (RRT)

`GstMpegts.SectionATSCTableID.EVENT_INFORMATION` (203) –

Event Information Table (EIT)

`GstMpegts.SectionATSCTableID.CHANNEL_OR_EVENT_EXTENDED_TEXT` (204) –

Extended Text Table (ETT)

`GstMpegts.SectionATSCTableID.SYSTEM_TIME` (205) –

System Time Table (STT)

`GstMpegts.SectionATSCTableID.DATA_EVENT` (206) –

A/90: Data Event Table (DET)

`GstMpegts.SectionATSCTableID.DATA_SERVICE` (207) –

A/90: Data Service Table (DST)

`GstMpegts.SectionATSCTableID.PROGRAM_IDENTIFIER` (208) –

A/57B: Program Identifier Table.

(Since: 1.20)
`GstMpegts.SectionATSCTableID.NETWORK_RESOURCE` (209) –

A/90: Network Resources Table (NRT)

`GstMpegts.SectionATSCTableID.LONG_TERM_SERVICE` (210) –

A/90: Long Term Service Table (LTST)

`GstMpegts.SectionATSCTableID.DIRECTED_CHANNEL_CHANGE` (211) –

Directed Channel Change Table (DCCT)

`GstMpegts.SectionATSCTableID.DIRECTED_CHANNEL_CHANGE_SECTION_CODE` (212) –

Directed Channel Change Selection Code Table (DCCSCT)

`GstMpegts.SectionATSCTableID.AGGREGATE_EVENT_INFORMATION` (214) –
No description available
`GstMpegts.SectionATSCTableID.AGGREGATE_EXTENDED_TEXT` (215) –
No description available
`GstMpegts.SectionATSCTableID.AGGREGATE_DATA_EVENT` (217) –
No description available
`GstMpegts.SectionATSCTableID.SATELLITE_VIRTUAL_CHANNEL` (218) –

A/81: Satellite Virtual Channel Table

### GstMpegts.SectionATSCTableID

Values for a GstMpegts.Section table_id.

These are the registered ATSC section `table_id` variants. Unless specified otherwise, they are defined in the "ATSC A/65" specification.

see also: GstMpegts.SectionTableID and other variants.

##### Members

`GstMpegts.SectionATSCTableID.MASTER_GUIDE` (199) –

Master Guide Table (MGT)

`GstMpegts.SectionATSCTableID.TERRESTRIAL_VIRTUAL_CHANNEL` (200) –

Terrestrial Virtual Channel Table (TVCT)

`GstMpegts.SectionATSCTableID.CABLE_VIRTUAL_CHANNEL` (201) –

Cable Virtual Channel Table (CVCT)

`GstMpegts.SectionATSCTableID.RATING_REGION` (202) –

Rating Region Table (RRT)

`GstMpegts.SectionATSCTableID.EVENT_INFORMATION` (203) –

Event Information Table (EIT)

`GstMpegts.SectionATSCTableID.CHANNEL_OR_EVENT_EXTENDED_TEXT` (204) –

Extended Text Table (ETT)

`GstMpegts.SectionATSCTableID.SYSTEM_TIME` (205) –

System Time Table (STT)

`GstMpegts.SectionATSCTableID.DATA_EVENT` (206) –

A/90: Data Event Table (DET)

`GstMpegts.SectionATSCTableID.DATA_SERVICE` (207) –

A/90: Data Service Table (DST)

`GstMpegts.SectionATSCTableID.PROGRAM_IDENTIFIER` (208) –

A/57B: Program Identifier Table.

(Since: 1.20)
`GstMpegts.SectionATSCTableID.NETWORK_RESOURCE` (209) –

A/90: Network Resources Table (NRT)

`GstMpegts.SectionATSCTableID.LONG_TERM_SERVICE` (210) –

A/90: Long Term Service Table (LTST)

`GstMpegts.SectionATSCTableID.DIRECTED_CHANNEL_CHANGE` (211) –

Directed Channel Change Table (DCCT)

`GstMpegts.SectionATSCTableID.DIRECTED_CHANNEL_CHANGE_SECTION_CODE` (212) –

Directed Channel Change Selection Code Table (DCCSCT)

`GstMpegts.SectionATSCTableID.AGGREGATE_EVENT_INFORMATION` (214) –
No description available
`GstMpegts.SectionATSCTableID.AGGREGATE_EXTENDED_TEXT` (215) –
No description available
`GstMpegts.SectionATSCTableID.AGGREGATE_DATA_EVENT` (217) –
No description available
`GstMpegts.SectionATSCTableID.SATELLITE_VIRTUAL_CHANNEL` (218) –

A/81: Satellite Virtual Channel Table

## Constants

### GST_TYPE_MPEGTS_ATSC_EIT

    #define GST_TYPE_MPEGTS_ATSC_EIT (gst_mpegts_atsc_eit_get_type())

### GST_TYPE_MPEGTS_ATSC_EIT_EVENT

    #define GST_TYPE_MPEGTS_ATSC_EIT_EVENT (gst_mpegts_atsc_eit_event_get_type())

### GST_TYPE_MPEGTS_ATSC_ETT

    #define GST_TYPE_MPEGTS_ATSC_ETT (gst_mpegts_atsc_ett_get_type())

### GST_TYPE_MPEGTS_ATSC_MGT

    #define GST_TYPE_MPEGTS_ATSC_MGT (gst_mpegts_atsc_mgt_get_type ())

### GST_TYPE_MPEGTS_ATSC_MGT_TABLE

    #define GST_TYPE_MPEGTS_ATSC_MGT_TABLE (gst_mpegts_atsc_mgt_table_get_type ())

### GST_TYPE_MPEGTS_ATSC_MULT_STRING

    #define GST_TYPE_MPEGTS_ATSC_MULT_STRING (gst_mpegts_atsc_mult_string_get_type())

### GST_TYPE_MPEGTS_ATSC_RRT

    #define GST_TYPE_MPEGTS_ATSC_RRT (gst_mpegts_atsc_rrt_get_type ())

### GST_TYPE_MPEGTS_ATSC_RRT_DIMENSION

    #define GST_TYPE_MPEGTS_ATSC_RRT_DIMENSION (gst_mpegts_atsc_rrt_dimension_get_type ())

### GST_TYPE_MPEGTS_ATSC_RRT_DIMENSION_VALUE

    #define GST_TYPE_MPEGTS_ATSC_RRT_DIMENSION_VALUE (gst_mpegts_atsc_rrt_dimension_value_get_type ())

### GST_TYPE_MPEGTS_ATSC_STRING_SEGMENT

    #define GST_TYPE_MPEGTS_ATSC_STRING_SEGMENT (gst_mpegts_atsc_string_segment_get_type())

### GST_TYPE_MPEGTS_ATSC_STT

    #define GST_TYPE_MPEGTS_ATSC_STT (gst_mpegts_atsc_stt_get_type ())

### GST_TYPE_MPEGTS_ATSC_VCT

    #define GST_TYPE_MPEGTS_ATSC_VCT (gst_mpegts_atsc_vct_get_type ())

### GST_TYPE_MPEGTS_ATSC_VCT_SOURCE

    #define GST_TYPE_MPEGTS_ATSC_VCT_SOURCE (gst_mpegts_atsc_vct_source_get_type ())

The results of the search are